﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.Html.Helper
@using Toyota.Common.Web.MVC;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;

@Html.Common().DevExpress().GridView(settings =>
    {
        settings.Name = "gridDelivery";
        settings.Width = Unit.Pixel(1000);

        settings.Settings.ShowFilterRow = true;
        settings.Settings.ShowFilterRowMenu = true;
        settings.Settings.ShowColumnHeaders = true;

        settings.CallbackRouteValues = new { Controller = "DeliveryServiceAcceptance", Action = "Detail" };
        
        settings.SettingsBehavior.AllowSelectSingleRowOnly = false;
        settings.SettingsBehavior.AllowSelectByRowClick = true;

        settings.Settings.HorizontalScrollBarMode = ScrollBarMode.Visible;
        settings.Settings.VerticalScrollBarMode = ScrollBarMode.Hidden;
        settings.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
        settings.Styles.Header.VerticalAlign = VerticalAlign.Middle;

        settings.SettingsPager.FirstPageButton.Visible = true;
        settings.SettingsPager.LastPageButton.Visible = true;
        settings.SettingsPager.ShowNumericButtons = true;
        settings.SettingsPager.Position = PagerPosition.Bottom;
        settings.SettingsPager.PageSizeItemSettings.Visible = true;
        settings.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
        settings.SettingsPager.PageSizeItemSettings.Caption = "Page size";

        //settings.ClientSideEvents.BeginCallback = "EditPR";

        settings.CommandColumn.Visible = true;
        settings.CommandColumn.Width = Unit.Pixel(40);
        settings.CommandColumn.ClearFilterButton.Visible = true;
        settings.CommandColumn.ShowSelectCheckbox = true;

        settings.CommandColumn.SetHeaderTemplateContent(
            content =>
            {
                Html.DevExpress().CheckBox(
                    checkBox =>
                    {
                        checkBox.Name = "DeliverySelectAllCheckBox"; 
                        checkBox.Checked = content.Grid.Selection.Count > 1;
                    }
                ).Render();
            });

        settings.Columns.Add(
            column =>
            {
                column.Name = "PRNumber";
                column.FieldName = "PRNumber";
                column.Caption = "PR Number";

                column.Width = Unit.Pixel(90);
                column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                column.CellStyle.VerticalAlign = VerticalAlign.Middle;

                column.SetDataItemTemplateContent(
                    content =>
                    {
                        GridViewDataItemTemplateContainer c = (GridViewDataItemTemplateContainer)content;
                        Html.DevExpress().HyperLink(
                            link =>
                            {
                                link.Name = "DeliveryNoHyperLink" + content.VisibleIndex;
                                link.NavigateUrl = "javascript:void(0)"; 
                                link.Properties.Text = content.Text;
                                link.ClientVisible = true;
                                link.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OnHyperLinkClick('{0}'); }}", (content as GridViewDataItemTemplateContainer).Text);
                                    
                            }).Render();
                    });
            });


        settings.Columns.AddBand(
           column =>
           {
               column.Caption = "Status";

               column.Width = Unit.Pixel(120);
               column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
               column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
               column.CellStyle.VerticalAlign = VerticalAlign.Middle;
               column.Columns.Add(
                    sh =>
                    {
                        sh.Caption = "SH";
                        sh.Name = "SH";
                       
                        sh.Width = Unit.Pixel(50);

                        sh.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                        sh.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        sh.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        sh.CellStyle.HorizontalAlign = HorizontalAlign.Center;

                        sh.SetDataItemTemplateContent(
                            dtDPH =>
                            {
                                Html.DevExpress().Image(
                                    img =>
                                    {
                                        img.ImageUrl = "~/Content/Images/Green.png";
                                    }).Render();
                            });
                    });
               
               
               column.Columns.Add(
                    sh =>
                    {
                        sh.Caption = "DpH";
                        sh.Name = "DpH";

                        sh.Width = Unit.Pixel(50);

                        sh.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                        sh.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        sh.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        sh.CellStyle.HorizontalAlign = HorizontalAlign.Center;

                        sh.SetDataItemTemplateContent(
                            dtDPH =>
                            {
                                Html.DevExpress().Image(
                                    img =>
                                    {
                                        img.ImageUrl = "~/Content/Images/Green.png";
                                    }).Render();
                            });
                    });

               column.Columns.Add(
                   sh =>
                   {
                       sh.Caption = "DH";
                       sh.Name = "DH";

                       sh.Width = Unit.Pixel(50);

                       sh.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                       sh.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                       sh.CellStyle.VerticalAlign = VerticalAlign.Middle;
                       sh.CellStyle.HorizontalAlign = HorizontalAlign.Center;

                       sh.SetDataItemTemplateContent(
                           dtDPH =>
                           {
                               Html.DevExpress().Image(
                                   img =>
                                   {
                                       img.ImageUrl = "~/Content/Images/Green.png";
                                   }).Render();
                           });
                   });
           });

        settings.Columns.Add(
          column =>
          {
              column.Name = "CurrentPIC";
              column.FieldName = "CurrentPIC";
              column.Caption = "Current PIC";

              column.Width = Unit.Pixel(150);
              column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
              column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
              column.CellStyle.VerticalAlign = VerticalAlign.Middle;
          });

        settings.Columns.Add(
          column =>
          {
              column.Name = "PRDate";
              column.FieldName = "PRDate";
              column.Caption = "PR Date";

              column.Width = Unit.Pixel(150);
              column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
              column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
              column.CellStyle.VerticalAlign = VerticalAlign.Middle;
          });


        settings.Columns.Add(
           column =>
           {
               column.Name = "Trucking";
               column.FieldName = "Trucking";
               column.Caption = "Trucking";

               column.Width = Unit.Pixel(150);
               column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
               column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
               column.CellStyle.VerticalAlign = VerticalAlign.Middle;
           });


       

        settings.Columns.Add(
                   sh =>
                   {
                       sh.Name = "PDF";
                       sh.FieldName = "PDF";
                       sh.Caption = "PDF   ";
                       
                       sh.Width = Unit.Pixel(50);

                       sh.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                       sh.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                       sh.CellStyle.VerticalAlign = VerticalAlign.Middle;
                       sh.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                       
                       sh.SetDataItemTemplateContent(
                           dtDPH =>
                           {
                               Html.DevExpress().Image(
                                   img =>
                                   {
                                       img.ImageUrl = "~/Content/Images/pdf_icon.png";
                                   }).Render();
                           });
                   });

        settings.Columns.AddBand(
           column =>
           {
               column.Caption = "Release Date";

               column.Width = Unit.Pixel(150);
               column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
               column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
               column.CellStyle.VerticalAlign = VerticalAlign.Middle;
               column.Columns.Add(
                    c =>
                    {
                        c.Caption = "SH";
                        c.FieldName = "ReleaseDateSH";
                        c.Width = Unit.Pixel(120);
                        c.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        c.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
               column.Columns.Add(
                    c =>
                    {
                        c.Caption = "DpH";
                        c.FieldName = "ReleaseDateDpH";
                        c.Width = Unit.Pixel(120);
                        c.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        c.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

               column.Columns.Add(
                   c =>
                   {
                       c.Caption = "DH";
                       c.FieldName = "ReleaseDateDH";
                       c.Width = Unit.Pixel(120);
                       c.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                       c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                       c.CellStyle.VerticalAlign = VerticalAlign.Middle;
                   });
           });



        settings.Columns.Add(
                   sh =>
                   {
                       sh.Name = "Notice";
                       sh.FieldName = "Notice";
                       sh.Caption = "Notice";

                       sh.Width = Unit.Pixel(50);

                       sh.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                       sh.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                       sh.CellStyle.VerticalAlign = VerticalAlign.Middle;
                       sh.CellStyle.HorizontalAlign = HorizontalAlign.Center;

                       sh.SetDataItemTemplateContent(
                           dtDPH =>
                           {
                               Html.DevExpress().Image(
                                   img =>
                                   {
                                       img.ImageUrl = "~/Content/Images/notice_new_icon.png";
                                   }).Render();
                           });
                   });


        

    //}).GetHtml()
    }).Bind(Model.GetModel<Portal.Models.DeliveryPRApproval.DeliveryPRModel>().DeliveryPRApproval).GetHtml()